db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dag wanvik <dag.wan...@oracle.com>
Subject Re: trunk build failed on window with java.lang.StackOverFlowError...
Date Wed, 19 Mar 2014 15:04:59 GMT
Data point: I just compiler derby successfully with

 > ant clobber all buildjars

on WIndows 7 (64 bits) with the new JDK:

 >  java -version
java version "1.8.0"
Java(TM) SE Runtime Environment (build 1.8.0-b132)
Java HotSpot(TM) 64-Bit Server VM (build 25.0-b70, mixed mode)

under cygwin. I don't see any issue, so I am not sure what gives here...

Thanks,
Dag

On 19.03.2014 14:43, Knut Anders Hatlen wrote:
> Rick Hillegas <rick.hillegas@oracle.com> writes:
>
>> On 3/18/14 5:47 PM, Myrna van Lunteren wrote:
>>> Hi,
>>>
>>> I downloaded a copy of the shiny new hotspot jdk 8, and tried to
>>> build trunk, on windows (7), but got two StackOverFlowError / out of
>>> resource errors, like so:
>>>       [javac] The system is out of resources.
>>>      [javac] Consult the following stack trace for details.
>>>      [javac] java.lang.StackOverflowError
>>>      [javac]     at
>>> com.sun.tools.javac.parser.UnicodeReader.putChar(UnicodeReader.java:143)
>>>   [javac]     at
>>> com.sun.tools.javac.parser.JavaTokenizer.scanDigits(JavaTokenizer.java:196)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.JavaTokenizer.scanNumber(JavaTokenizer.java:322)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.JavaTokenizer.readToken(JavaTokenizer.java:538)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.Scanner.nextToken(Scanner.java:115)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.JavacParser.nextToken(JavacParser.java:296)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.JavacParser.arguments(JavacParser.java:1772)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.JavacParser.arguments(JavacParser.java:1789)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.JavacParser.term3(JavacParser.java:1250)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.JavacParser.term2(JavacParser.java:904)
>>>      [javac]     at
>>> com.sun.tools.javac.parser.JavacParser.term1(JavacParser.java:875)
>>> ...[more stuff]...
>>>
>>> any suggestions anyone?
>>>
>>> I'll take another look at this tomorrow.
>>>
>>> Thanks,
>>> Myrna
>>>
>>>
>> I have just installed on my mac the GA of Oracle's JDK 8 from here:
>> http://www.oracle.com/technetwork/java/javase/downloads/index.html.
>> Its version info is
>>
>> java version "1.8.0"
>> Java(TM) SE Runtime Environment (build 1.8.0-b132)
>> Java HotSpot(TM) 64-Bit Server VM (build 25.0-b70, mixed mode)
>>
>> With this JDK, the Derby trunk builds cleanly for me on my mac. With
>> this JDK I also get a clean build of the 10.10 branch except for the
>> warnings described by https://issues.apache.org/jira/browse/DERBY-6513
>>
>> Can people on other platforms test-drive the build using the new JDK
>> 8? It would be good to be able to give Myrna clear advice about what
>> platforms can be used to build the 10.10.2 maintenance release.
> Builds fine for me on Debian too.
>
> java version "1.8.0"
> Java(TM) SE Runtime Environment (build 1.8.0-b132)
> Java HotSpot(TM) 64-Bit Server VM (build 25.0-b70, mixed mode)
>
>


Mime
View raw message